1. 实体卡
TrustPay
zh
  • en
  • zh
  • 接入说明
  • 支付网关
    • 支付风控接口 - 商户接入指南
    • 枚举类型说明
    • 支付回调说明
    • C21 支持区域
      • TrustPay API 与 Checkout 支持的国家和 US/CA 州省
    • 卡直付
      POST
    • 收银台
      POST
    • 支付回调通知
      POST
    • 余额查询
      POST
    • 订单查询
      POST
    • 订单退款
      POST
    • 费率查询
      POST
  • 信用卡开卡
    • 查询可用卡类型
      POST
    • 开通虚拟卡
      POST
    • 开卡/充值回调通知
      POST
    • 获取虚拟卡详情
      POST
    • 虚拟卡充值
      POST
    • 订单列表查询
      POST
    • 虚拟卡列表查询
      POST
    • 卡片列表
      POST
    • 流水查询
      POST
    • 费率查询
      POST
  • 实体卡
    • 创建持卡人
      POST
    • 持卡人列表
      POST
    • 绑定持卡人
      POST
    • 持卡人绑定列表
      POST
    • 查询实体卡余额
      POST
    • 查询交易记录
      POST
    • 查询账户
      POST
    • 实体卡充值
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. 实体卡

查询交易记录

Testing
POST
/v3/pcard/card-transactions

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v3/pcard/card-transactions' \
--header 'Content-Type: application/json' \
--data '{
    "card_id": "b2c1b725-d8f1-4fbb-88a1-41bf9ffc8ead",
    "page": 1,
    "page_size": 20
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "items": [
            {
                "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
                "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
                "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
                "transaction_type": "AUTHORIZATION",
                "transaction_status": "DECLINED",
                "amount": 100.25,
                "transaction_fee": 0.25,
                "currency": "USD",
                "transaction_time": "2024-03-21T09:17:32Z"
            }
        ],
        "total": 1,
        "page": 1,
        "page_size": 20
    }
}
Modified at 2026-05-23 04:48:15
Previous
查询实体卡余额
Next
查询账户
Built with